package com.xisc.pm.domain.entity;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.choerodon.mybatis.annotation.ModifyAudit;
import io.choerodon.mybatis.annotation.VersionAudit;
import io.choerodon.mybatis.domain.AuditDomain;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 不可替代订单表(PmIrsubableCont)实体类
 *
 * @author BKGY
 * @since 2024-12-16 15:44:39
 */

@ApiModel("不可替代订单表")
@VersionAudit
@ModifyAudit
@JsonInclude(value = JsonInclude.Include.NON_NULL)
@Table(name = "PM_IRSUBABLE_CONT")
public class PmIrsubableCont extends AuditDomain implements Serializable {
    private static final long serialVersionUID = -75616982919105617L;

    public static final String FIELD_ID = "id";
    public static final String FIELD_ORDER_NO = "orderNo";
    public static final String FIELD_SG_SIGN = "sgSign";
    public static final String FIELD_SG_STD = "sgStd";
    public static final String FIELD_ORDER_THICK = "orderThick";
    public static final String FIELD_ORDER_WIDTH = "orderWidth";
    public static final String FIELD_ORDER_LEN = "orderLen";
    public static final String FIELD_DELIVY_DATE = "delivyDate";
    public static final String FIELD_TENANT_ID = "tenantId";
    public static final String FIELD_ATTRIBUTE1 = "attribute1";
    public static final String FIELD_ATTRIBUTE2 = "attribute2";
    public static final String FIELD_ATTRIBUTE3 = "attribute3";
    public static final String FIELD_ATTRIBUTE4 = "attribute4";
    public static final String FIELD_ATTRIBUTE5 = "attribute5";

    @ApiModelProperty("主键ID")
    @Id
    @GeneratedValue
    private Long id;

    @ApiModelProperty(value = "合同号", required = true)
    @NotBlank
    private String orderNo;

    @ApiModelProperty(value = "牌号")
    private String sgSign;

    @ApiModelProperty(value = "内部钢种")
    private String sgStd;

    @ApiModelProperty(value = "订货厚度")
    private BigDecimal orderThick;

    @ApiModelProperty(value = "订货宽度")
    private BigDecimal orderWidth;

    @ApiModelProperty(value = "订货长度")
    private BigDecimal orderLen;

    @ApiModelProperty(value = "交货日期")
    private Date delivyDate;

    @ApiModelProperty(value = "租户ID", required = true)
    @NotNull
    private Long tenantId;

    private String attribute1;

    private String attribute2;

    private String attribute3;

    private String attribute4;

    private String attribute5;


    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    public String getSgSign() {
        return sgSign;
    }

    public void setSgSign(String sgSign) {
        this.sgSign = sgSign;
    }

    public String getSgStd() {
        return sgStd;
    }

    public void setSgStd(String sgStd) {
        this.sgStd = sgStd;
    }


    public Date getDelivyDate() {
        return delivyDate;
    }

    public void setDelivyDate(Date delivyDate) {
        this.delivyDate = delivyDate;
    }

    public Long getTenantId() {
        return tenantId;
    }

    public void setTenantId(Long tenantId) {
        this.tenantId = tenantId;
    }

    public String getAttribute1() {
        return attribute1;
    }

    public void setAttribute1(String attribute1) {
        this.attribute1 = attribute1;
    }

    public String getAttribute2() {
        return attribute2;
    }

    public void setAttribute2(String attribute2) {
        this.attribute2 = attribute2;
    }

    public String getAttribute3() {
        return attribute3;
    }

    public void setAttribute3(String attribute3) {
        this.attribute3 = attribute3;
    }

    public String getAttribute4() {
        return attribute4;
    }

    public void setAttribute4(String attribute4) {
        this.attribute4 = attribute4;
    }

    public String getAttribute5() {
        return attribute5;
    }

    public void setAttribute5(String attribute5) {
        this.attribute5 = attribute5;
    }

    public BigDecimal getOrderThick() {
        return orderThick;
    }

    public void setOrderThick(BigDecimal orderThick) {
        this.orderThick = orderThick;
    }

    public BigDecimal getOrderWidth() {
        return orderWidth;
    }

    public void setOrderWidth(BigDecimal orderWidth) {
        this.orderWidth = orderWidth;
    }

    public BigDecimal getOrderLen() {
        return orderLen;
    }

    public void setOrderLen(BigDecimal orderLen) {
        this.orderLen = orderLen;
    }
}

